Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Interface ILocalizableInfo

All Known Subinterfaces:
  IClassInfo, IMemberInfo, IMethodInfo, ITemplateMethodInfo

All Known Implementing Classes:
  ClassInfo, ClassInfo, ConstructorInfo, MemberInfo, MemberInfo, MethodInfo, MethodInfo, TemplateMethodInfo

    public interface ILocalizableInfo

Represents the abstract definition which can be localized. This definition includes name, display name ID and tool tip ID.

Method Summary
`java.lang.String` | `getDisplayName()` Returns the display name if the resource key of display name is available.
`java.lang.String` | `getDisplayNameKey()` Returns the resource key for display name.
`java.lang.String` | `getName()` Returns the definition name.
`java.lang.String` | `getToolTip()` Returns the tool tip if the resource key of tool tip is available.
`java.lang.String` | `getToolTipKey()` Returns the resource key for tool tip.

Method Detail

### getDisplayNameKey

    java.lang.String getDisplayNameKey()

  Returns the resource key for display name.

  Returns:
    the resource key for display name

### getName

    java.lang.String getName()

  Returns the definition name.

  Returns:
    the name of this definition

### getToolTipKey

    java.lang.String getToolTipKey()

  Returns the resource key for tool tip.

  Returns:
    the resource key for tool tip

### getDisplayName

    java.lang.String getDisplayName()

  Returns the display name if the resource key of display name is available. Otherwise, return empty string.

  Returns:
    the display name

### getToolTip

    java.lang.String getToolTip()

  Returns the tool tip if the resource key of tool tip is available. Otherwise, return empty string.

  Returns:
    the tool tip

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.